Bug 835714 - Netatalk 2.2.2-1: Unable to unmount afpd share from OSX client, crashes Finder netatalk-2.2.2-1
Netatalk 2.2.2-1: Unable to unmount afpd share from OSX client, crashes Finde...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: netatalk (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukáš Nykrýn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 18:11 EDT by Pramod Venugopal
Modified: 2012-08-13 20:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: netatalk-2.2.2-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-13 20:52:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pramod Venugopal 2012-06-26 18:11:42 EDT
Description of problem:
Finder on Mac OSX 10.7.x and 10.6.8 clients become unresponsive when unmounting an AFPd volume from a netatalk 2.2.2-1 server on fedora 17. Finder becomes unresponsive until rebooted. Works fine with netatalk on F16.

Version-Release number of selected component (if applicable):
Fedora 17 , Netatalk 2.2.2-1

How reproducible:


Steps to Reproduce:
1. Setup Netatalk on Fedora 17. 
2. Connect to any configured volume 
3. Try to unmount the volume
  
Actual results:
Finder becomes unresposive. The OSX client needs to be rebooted.

Expected results:
The volume unmounts.

Additional info:
From /var/log/messages:
Jun 26 14:55:14 andromeda systemd-logind[690]: New session 13 of user test.
Jun 26 14:55:14 andromeda afpd[21282]: AFP3.3 Login by test
Jun 26 14:55:35 andromeda afpd[21282]: AFP logout by test
Jun 26 14:55:35 andromeda systemd-logind[690]: Removed session 13.


It seems to not get to the statistics step in the logout procedure:

AFP statistics: 2.11 KB read, 8.17 KB written

Found this on netatalk list: http://comments.gmane.org/gmane.network.netatalk.devel/10520
Comment 2 Pramod Venugopal 2012-07-02 21:45:33 EDT
Applied the patches and can confirm that it is working.
Comment 3 Lukáš Nykrýn 2012-07-18 05:24:04 EDT
thanks for the patches
committed to git -> http://lists.fedoraproject.org/pipermail/scm-commits/2012-July/818073.html -> modified
Comment 4 Fedora Update System 2012-07-18 05:25:25 EDT
netatalk-2.2.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/netatalk-2.2.2-3.fc17
Comment 5 Fedora Update System 2012-07-19 05:07:36 EDT
Package netatalk-2.2.2-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing netatalk-2.2.2-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10821/netatalk-2.2.2-3.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-08-13 20:52:59 EDT
netatalk-2.2.2-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.